AttributeToScopeTag (Struts Tiles 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.taglib
Class AttributeToScopeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.tiles.taglib.AttributeToScopeTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

Deprecated. Is it still in use ?

    public final class AttributeToScopeTag

extends TagSupport

Custom tag that puts component's attributes in a scope (request, page, ...).

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AttributeToScopeTag()` Deprecated.

Method Summary
`int` | `doEndTag()` Deprecated. Clean up after processing this enumeration.
`int` | `doStartTag()` Deprecated. Expose the requested property from component context.
`String` | `getProperty()` Deprecated. Return the property name.
`void` | `release()` Deprecated. Release all allocated resources.
`void` | `setProperty(String property)` Deprecated. Set the property name.
`void` | `setScope(String scope)` Deprecated. Set the scope.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeToScopeTag

    public AttributeToScopeTag()

  Deprecated.

Method Detail

### getProperty

    public String getProperty()

  Deprecated.
  Return the property name.

### setProperty

    public void setProperty(String property)

  Deprecated.
  Set the property name.

  Parameters:
    `property` - The property name

### setScope

    public void setScope(String scope)

  Deprecated.
  Set the scope.

  Parameters:
    `scope` - The new scope

### doStartTag

    public int doStartTag()
                   throws JspException

  Deprecated.
  Expose the requested property from component context.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws JspException

  Deprecated.
  Clean up after processing this enumeration.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `TagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### release

    public void release()

  Deprecated.
  Release all allocated resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.